Imports System.IO

Public Class FrmDynamicControl

    'add a picturebox dynamically -- there is no picturebox on the form in design
    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnAddPictureBox.Click
        Dim MyPictureBox As PictureBox      'must declare picturebox since is not there in design


        MyPictureBox = New PictureBox       'must instantiate picturebox since it is not there in design

        Me.Controls.Add(MyPictureBox)       'must add dynamic control to some container -- in this case the form 

        'assign the picturebox the desired properties -- again since this was not done in design 
        MyPictureBox.Width = 300
        MyPictureBox.Height = 400
        MyPictureBox.Location = New System.Drawing.Point((Me.Width - MyPictureBox.Width) \ 2, 75)
        MyPictureBox.BackColor = Color.Blue
        MyPictureBox.Image = Image.FromFile(Directory.GetCurrentDirectory & "\JBDLS.jpg")
        MyPictureBox.SizeMode = PictureBoxSizeMode.StretchImage
        MyPictureBox.BorderStyle = BorderStyle.FixedSingle

    End Sub
End Class
